Commit 6afb941b authored by Daniel Teske's avatar Daniel Teske

Android: Do not try to update the kit list before having qt versions

This deletes all kits. AndroidPlugin::extensionsInitialized() is called
before QtSupport::extensionsInitialized() so, the qt versions aren't
restored yet at that point. The Qt Version Manager will though emit a
signal on restoring them.

Change-Id: Ibf39d6f73ad173f358de3d757d8cdd97c52eca41
Reviewed-by: default avatarBogDan Vatra <bogdan@kde.org>
parent 5e2e09c0
......@@ -82,7 +82,6 @@ void AndroidPlugin::extensionsInitialized()
ProjectExplorer::DeviceManager *dm = ProjectExplorer::DeviceManager::instance();
if (dm->find(Core::Id(Constants::ANDROID_DEVICE_ID)).isNull())
dm->addDevice(ProjectExplorer::IDevice::Ptr(new Internal::AndroidDevice));
Internal::AndroidConfigurations::instance().updateAutomaticKitList();
connect(QtSupport::QtVersionManager::instance(), SIGNAL(qtVersionsChanged(QList<int>,QList<int>,QList<int>)),
&Internal::AndroidConfigurations::instance(), SLOT(updateAutomaticKitList()));
}
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment